<?php
session_start();
include "connection.php";
$query = $db -> query("SELECT * FROM posts ORDER BY id DESC");
$post = $query -> fetchALL(PDO::FETCH_ASSOC);
?>
<!DOCTYPE html>
<html>
<head>
	<meta charset="utf-8">
	<meta http-equiv="X-UA-Compatible" content="IE=edge">
	<meta name="viewport" content="width=device-width, initial-scale=1">

	<title>Lab2</title>

	<link rel="stylesheet" type="text/css" href="css/style.css" />
	<link href="https://cdn.jsdelivr.net/npm/bootstrap@5.3.0/dist/css/bootstrap.min.css" rel="stylesheet" integrity="sha384-9ndCyUaIbzAi2FUVXJi0CjmCapSmO7SnpJef0486qhLnuZ2cdeRhO02iuK6FUUVM" crossorigin="anonymous">
	<style>
		.title2{
			right: 12px;
			width: 105%;
		}
		.container{
			top: 1%;
			width: 40%;
			left: 0%;
		}
	</style>
</head>
<body>
	<div class="thediv">
		<div class="col-md-8">		
		</div>
		<?php if (isset($_SESSION['login_status'])) : ?>
			<?php
			if($_SESSION['login_status'] == true){
				?>
				<style>
					.hidden{
						display:none;
					}
					.logout{
						display:block;
						margin-left: -75%;
						margin-bottom: 10px;
					}
					.hidden2{
						display:block;
					}

				</style>
				<?php
			}
			if($_SESSION['login_status'] == false){
				?>
				<style>
					.hidden{
						display:block;
					}
					.logout{
						display:none;
					}
				</style>
				<?php
			}
			?>
		<?php endif ?>

		<div class="container">

			<?php if (isset($_SESSION['msg'])) : ?>
				<div class="alert alert-success alert-dismissible fade show" role="alert"><strong>Success!</strong> <?= $_SESSION['msg']?>
				<button type="button" class="btn-close" data-bs-dismiss="alert" aria-label="Close"></button>
			</div>
		<?php endif ?>

		<?php if (isset($_SESSION['login_empty'])) : ?>
			<div class="alert alert-danger alert-dismissible fade show" role="alert"><strong>Error!</strong>  <?= $_SESSION['login_empty']?>
			<button type="button" class="btn-close" data-bs-dismiss="alert" aria-label="Close"></button>
		</div>
	<?php endif ?>

	<?php if (isset($_SESSION['users_name'])) : ?>
		<div class="alert alert-success alert-dismissible fade show" role="alert"><strong>Success!</strong> Welcome, <?= $_SESSION['users_name']?>
		<button type="button" class="btn-close" data-bs-dismiss="alert" aria-label="Close"></button>
	</div>
	<?php
	$_SESSION['n1'] = $_SESSION['users_name'] ;
	?>
<?php endif ?>

<?php if (isset($_SESSION['login_error'])) : ?>
	<div class="alert alert-danger alert-dismissible fade show" role="alert"><strong>Error!</strong>  <?= $_SESSION['login_error']?>
	<button type="button" class="btn-close" data-bs-dismiss="alert" aria-label="Close"></button>
</div>
<?php endif ?>

<?php if (isset($_SESSION['status'])) : ?>
	<div class="alert alert-danger alert-dismissible fade show" role="alert"><strong>Error!</strong>  <?= $_SESSION['status']?>
	<button type="button" class="btn-close" data-bs-dismiss="alert" aria-label="Close"></button>
</div>
<?php endif ?>

<?php if (isset($_SESSION['error_validation'])) : ?>
	<div class="alert alert-danger alert-dismissible fade show" role="alert"><strong>Error!</strong>  <?= $_SESSION['error_validation']?>
	<button type="button" class="btn-close" data-bs-dismiss="alert" aria-label="Close"></button>
</div>
<?php endif ?>

<?php if (isset($_SESSION['error_username'])) : ?>
	<div class="alert alert-danger alert-dismissible fade show" role="alert"><strong>Error!</strong>  <?= $_SESSION['error_username']?>
	<button type="button" class="btn-close" data-bs-dismiss="alert" aria-label="Close"></button>
</div>
<?php endif ?>

<?php if (isset($_SESSION['error_password'])) : ?>
	<div class="alert alert-danger alert-dismissible fade show" role="alert"><strong>Error!</strong>  <?= $_SESSION['error_password']?>
	<button type="button" class="btn-close" data-bs-dismiss="alert" aria-label="Close"></button>
</div>
<?php endif ?>

<?php if (isset($_SESSION['error_email'])) : ?>
	<div class="alert alert-danger alert-dismissible fade show" role="alert"><strong>Error!</strong>  <?= $_SESSION['error_email']?>
	<button type="button" class="btn-close" data-bs-dismiss="alert" aria-label="Close"></button>
</div>
<?php endif ?>

<?php if (isset($_SESSION['message_empty'])) : ?>
	<div class="alert alert-danger alert-dismissible fade show" role="alert"><strong>Error!</strong>  <?= $_SESSION['message_empty']?>
	<button type="button" class="btn-close" data-bs-dismiss="alert" aria-label="Close"></button>
</div>

<?php endif ?>

<?php if (isset($_SESSION['message_success'])) : ?>
	<div class="alert alert-success alert-dismissible fade show" role="alert"><strong>Success!</strong> <?= $_SESSION['message_success']?>
	<button type="button" class="btn-close" data-bs-dismiss="alert" aria-label="Close"></button>
</div>
<?php endif ?>

<h2 class="title2">Mini-Chat</h2>

<form class="form1" action="validate.php" method="post" enctype="multipart/form-data">

	<div class="hidden">

		<div class="d-flex my-2" >
			<label class="form-label me-2" for="username"><strong>Username: </strong></label>
			<input class="form-control" type="text" name="log_user" id="username" placeholder="Enter your Username">
		</div>

		<div class="d-flex my-2">
			<label class="form-label me-2" for="password"><strong>Password: </strong></label>
			<input class="form-control" type="password" name="log_pass" id="password" placeholder="Enter your Password">
		</div>

		<div class="buttonscontainer" >
			<input type="submit" name="login" class="btn btn-success" value="Login">
			<a class="btn btn-warning" href="" data-bs-toggle="modal" data-bs-target="#addModal">Register</a>
			<a class="btn btn-success"  href="confirmation.php">Confirm your Account</a> 
		</div>
	</div>
	<div class="logout">
		<div class="flex">
			<p>Welcome,<strong><?= $_SESSION['users_name']?></strong></p>
			<a href=#><img id=image1 src="uploads/<?= $_SESSION['avatar_image']?>" alt=blog></a>
			<?php
			$_SESSION['av1'] = $_SESSION['avatar_image'];
			?>
		</div>
		<input type="submit" name="logout" class="btn btn-danger" value="Logout">
	</div>
</form>
</div>



<div class="flex">
	<div class="container2">
		<h2 class="title3">Send a Message</h2>
		<div class="hidden2">
			<form action="validate.php" method="post">
				<textarea name="message" id="message" cols="60" rows="5" placeholder="Message"></textarea>
				<div class="send">
					<input type="submit" id="send" name="send" class="btn btn-success" value="Send">
				</div>
			</div>
		</form>
	</div>

	<div class="container3">

		<h2 class="title3">Messages from Database</h2>
		<div id="data">
			<?php foreach($post as $posts) :?>
				<p id="data_message"><img id=image2 src="uploads/<?= $posts['avatar']?>" alt=avatar_image><strong>    <?= $posts['username']?>:</strong><?= $posts['comment']?></p>
			<?php endforeach; ?>
		</div>		
	</div>
</div>

<div class="modal" id="addModal">
	<div class="modal-dialog">
		<div class="modal-content">
			<!-- Modal Header -->
			<div class="modal-header">
				<h4 class="modal-title">Subscribe</h4>
				<button type="button" class="btn-close" data-bs-dismiss="modal" aria-label="Close"></button>
			</div>


			<!-- Modal body -->
			<div class="modal-body">
				<form id="form" action="validate.php" method="post" enctype="multipart/form-data">

					<div class="form-group mb-3">
						<label for="username" class="form-label">Username:</label>
						<input type="text" name="username" class="form-control" placeholder="Enter username" id="user_name">
						<div class="error"></div>
					</div>

					<div class="error"></div>
					<div class="form-group mb-3">
						<label for="email" class="form-label">Email:</label>
						<input type="email" id="email" name="email" class="form-control" placeholder="Enter Email">
						<div class="error"></div>
					</div>

					<div class="form-group mb-3">
						<label for="password">Password:</label>
						<input type="password" name="password" class="form-control"  placeholder="Enter your Password" id="pass_word">
						<div class="error"></div>
					</div>

					<div class="form-group mb-3 ">
						<label for="pconf">Password Confirmation:</label>
						<input type="password" name="pconf" class="form-control" id="pconf" placeholder="Password Confirmation">
						<div class="error"></div>
					</div> 

					<div class="form-group mb-3">
						<label for="avatar">Avatar:</label>
						<input type="file" name="avatar" class="form-control" id="avatar">
						<div class="error"></div>
					</div>

					<div class="form-group mb-3">
						<input type="submit" name="addUser" value="Subscribe"class="form-control btn btn-success">
					</div>
					<div class="form-group mb-3">
						<input type="button" name="reset" value="Reset Form" class="form-control btn btn-warning" id="resetBtn">
					</div>
				</form>
			</div>
		</div>
	</div>
</div>
</div>



<script>
	if ( window.history.replaceState ) {
		window.history.replaceState( null, null, window.location.href );
	}
</script>
<script src="https://cdnjs.cloudflare.com/ajax/libs/jquery/3.7.0/jquery.min.js" integrity="sha512-3gJwYpMe3QewGELv8k/BX9vcqhryRdzRMxVfq6ngyWXwo03GFEzjsUm8Q7RZcHPHksttq7/GFoxjCVUjkjvPdw==" crossorigin="anonymous" referrerpolicy="no-referrer"></script>
<script src="https://cdn.jsdelivr.net/npm/bootstrap@5.3.0/dist/js/bootstrap.bundle.min.js" integrity="sha384-geWF76RCwLtnZ8qwWowPQNguL3RmwHVBC9FhGdlKrxdiJJigb/j/68SIy3Te4Bkz" crossorigin="anonymous"></script>
<script type="text/javascript" src="js/reset.js"></script>
</body>
</html>

<?php unset($_SESSION['msg'])?>
<?php unset($_SESSION['status'])?>
<?php unset($_SESSION['error_validation'])?>
<?php unset($_SESSION['error_username'])?>
<?php unset($_SESSION['error_password'])?>
<?php unset($_SESSION['error_email'])?>
<?php unset($_SESSION['login_empty'])?>
<?php unset($_SESSION['users_name'])?>
<?php unset($_SESSION['login_error'])?>
<?php unset($_SESSION['login_status'])?>
<?php unset($_SESSION['message_empty'])?>
<?php unset($_SESSION['message_success'])?>